package com.qmth.themis.mq.enums;

/**
 * @Description: mq group enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqGroupEnum {

    /**
     * web group
     */
    sessionConsumerWebGroup("themis-group-exam-test-sessionWeb"),

    /**
     * win group
     */
    sessionConsumerWinGroup("themis-group-exam-test-sessionWin"),

    /**
     * mac group
     */
    sessionConsumerMacGroup("themis-group-exam-test-sessionMac"),

    /**
     * wxapp group
     */
    sessionConsumerWxappGroup("themis-group-exam-test-sessionWxapp"),

    /**
     * ios group
     */
    sessionConsumerIosGroup("themis-group-exam-test-sessionIos"),

    /**
     * android group
     */
    sessionConsumerAndroidGroup("themis-group-exam-test-sessionAndroid"),

    /**
     * 用户轨迹 user group
     */
    userLogConsumerUserGroup("themis-group-exam-test-userLogUser"),

    /**
     * 用户轨迹 student group
     */
    userLogConsumerStudentGroup("themis-group-exam-test-userLogStudent"),

    /**
     * 异步任务 考生导入 group
     */
    taskConsumerExamStudentImportGroup("themis-group-exam-test-taskExamStudentImport"),

    /**
     * 异步任务 考场导出 group
     */
    taskConsumerRoomCodeExportGroup("themis-group-exam-test-taskRoomCodeExport"),

    /**
     * 异步任务 考场导入 group
     */
    taskConsumerRoomCodeImportGroup("themis-group-exam-test-taskRoomCodeImport"),

    /**
     * 异步任务 试卷导入 group
     */
    taskConsumerExamPaperImportGroup("themis-group-exam-test-taskExamPaperImport"),

    /**
     * websocket超时退出 考生 group
     */
    websocketConsumerOeGroup("themis-group-exam-test-websocketOe"),

    /**
     * websocket超时退出 考生 group
     */
    websocketConsumerUnNormalGroup("themis-group-exam-test-websocketUnNormal"),

    /**
     * quartz 考场 group
     */
    quartzConsumerExamActivityGroup("themis-group-exam-test-quartzExamActivity"),

    /**
     * 计算客观分
     */
    calculateObjectiveScoreGroup("themis-group-exam-test-calculateObjectiveScore"),

    /**
     * 人脸验证
     */
    faceVerifySaveGroup("themis-group-exam-test-faceVerifySave"),
    /**
     * 活体验证
     */
    livenessVerifySaveGroup("themis-group-exam-test-livenessVerifySave"),

    /**
     * 考试记录数据持久化
     */
    examRecordPersistedGroup("themis-group-exam-test-examRecordPersisted"),

    /**
     * 考试断点记录
     */
    examBreakHistoryGroup("themis-group-exam-test-examBreakHistory");

    private MqGroupEnum(String code) {
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }
}